#!/usr/bin/env node

var fs = require('fs')
var path = require('path')
var cwd = require('cwd')

var gulpfile = cwd('gulpfile.js')
var contents =
  "var gulp = require('gulp')\n" +
  "require('gulp-babelator')(gulp)\n"

console.log('Checking if gulpfile exists')
if (!fs.existsSync(gulpfile)) {
  console.log('No gulpfule found. Creating gulpfile...')
  fs.writeFileSync('gulpfile.js', contents, 'utf8')
  console.log('Done :)')
} else {
  console.log("Gulpfile already exists. If you haven't already done so, manually add the following lines:\n")
  console.log(contents)
}
