'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

exports['default'] = function (gulp, opts) {

  var desc = 'Compiles and runs `dist/index.js` with nodemon.';
  gulp.task('nodemon:start', function () {
    nodemon({
      script: 'dist/index.js',
      ext: 'js',
      env: {
        'NODE_ENV': 'development'
      }
    }).on('start', ['watch']).on('change', ['watch']).on('restart', function () {
      console.log('restarted!');
    });
  });

  gulp.task('nodemon', gulp.series('lib:compile', 'nodemon:start'));
};

module.exports = exports['default'];